Subject: Re: Where exactly will arch_fast_hash be used

From: Daniel Borkmann <[email-masked]>
Date: Thu, 04 Dec 2014 16:51:38 +0100

On 12/04/2014 04:47 PM, Herbert Xu wrote:
> On Thu, Dec 04, 2014 at 04:43:31PM +0100, Daniel Borkmann wrote:
>>
>> Hm, I thought the kernel doc on arch_fast_hash() in include/linux/hash.h
>> would give enough of a hint ...
>
> I think something more explicit like "do not use this in a hash
> table unless you know what you're doing" might be needed.

Ok, I'm fine with that, do you want to submit a patch on top of, or
after Hannes' improvements [1] got in? Thanks a lot, Herbert.

   [1] http://patchwork.ozlabs.org/patch/417761/